SOMDDPA - Second-Order Modally-Damped Dominant Pole Algorithm
=============================================================

This package contains an implementation of the dominant pole algorithm for
modally-damped second-order systems of the form

      M*x''(t) + E*x'(t) + K*x(t) = Bu*u(t),
                             y(t) = Cp*x(t).


## Getting Started
------------------

### Dependencies

MATLAB R2012b and above, or Octave 4.0.0 and above.


### Installation

Either you can add the folder, containing this file, to the MATLAB/Octave
search path, or you can just copy the `somddpa.m` file to the required
location.


### Usage

The `somddpa.m` contains the full functionality of the second-order
modally-damped dominant pole algorithm and the documentation of the
function can be seen by typing `help somddpa`.
The script `demo_somddpa.m` shows how to use this function and the optional
parameters on a constructed modally-damped second-order system.


## Authors
----------

Peter Benner
- association: Max Planck Institute for Dynamics of Complex Technical
  System, Magdeburg (Germany)
- email: benner@mpi-magdeburg.mpg.de
- orcid: 0000-0003-3362-4103
- ResearcherID: I-4436-2012

Steffen W. R. Werner
- association: Max Planck Institute for Dynamics of Complex Technical
  System, Magdeburg (Germany)
- email: werner@mpi-magdeburg.mpg.de
- orcid: 0000-0003-1667-4862


## License
----------

Copyright (C) 2019 Peter Benner, Steffen W. R. Werner

The software is licensed under GPLv3 or later.
See [COPYING](COPYING) for a copy of the license.


## Citation
-----------

### DOI

The DOI for version 1.0 is
[10.5281/zenodo.2553902](https://doi.org/10.5281/zenodo.2553902)


### BibTeX

@MISC{morBenW19,
  author = {Benner, P. and Werner, S.~W.~R.},
  title  = {{SOMDDPA} -- {S}econd-{O}rder {M}odally {D}amped {D}ominant
    {P}ole {A}lgorithm (Version 1.0)},
  month  = feb,
  year   = 2019,
  doi    = {10.5281/zenodo.2553902}
}


## Acknowledgements
-------------------

This work was supported by the German Research Foundation (DFG) research
training group 2297 "MathCoRe", Magdeburg, and the German Research
Foundation (DFG) priority program 1897: "Calm, Smooth and Smart -- Novel
Approaches for Influencing Vibrations by Means of Deliberately Introduced
Dissipation".

We would like to thank Joost Rommes for his work on the field of dominant
pole algorithms and providing algorithmic ideas by his open software
repository at https://sites.google.com/site/rommes/software, as well as,
Patrick Krschner who helped with the initial version of this code and gave
comments and ideas during the development.
